Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 684908 - dev-util/catalyst: migrate to new PORTDIR, PKGDIR, and DISTDIR default settings approved by council
Summary: dev-util/catalyst: migrate to new PORTDIR, PKGDIR, and DISTDIR default settin...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: Catalyst (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Catalyst Developers
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: 662982
  Show dependency tree
 
Reported: 2019-05-02 01:57 UTC by Zac Medico
Modified: 2019-08-11 19:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2019-05-02 01:57:26 UTC
The locations approved by the council:

DISTDIR="/var/cache/distfiles"
PKGDIR="/var/cache/binpkgs"
PORTDIR="/var/db/repos/gentoo"

They are the default locations since portage-2.3.64:

https://gitweb.gentoo.org/proj/portage.git/commit/?id=ef8469befbd7b61f1bae8f21ffd95e0c0306a4f8
Comment 2 Brian Dolbec gentoo-dev 2019-05-02 23:58:59 UTC
Thanks Zac.  When did/will that portage version go stable?
Comment 3 Zac Medico gentoo-dev 2019-05-03 00:08:59 UTC
The new portage version is not stable yet. It's tracked by bug 683434. It was released on 2019-04-29, so if we wait the normal 30 days then we can call for stabilization on 2019-05-29 or so. This release has relatively few changes, so we could stabilize it even earlier if we feel like it.
Comment 4 Zac Medico gentoo-dev 2019-05-23 18:52:11 UTC
Stable request for portage-2.3.66-r1 opened: bug 686618
Comment 5 Larry the Git Cow gentoo-dev 2019-05-24 14:40:04 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/catalyst.git/commit/?id=91eb3317ee581f7d1eeacc68ebe88de5a1cdfd1a

commit 91eb3317ee581f7d1eeacc68ebe88de5a1cdfd1a
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2019-05-02 02:50:37 +0000
Commit:     Ben Kohler <bkohler@gentoo.org>
CommitDate: 2019-05-24 14:39:51 +0000

    New default PORTDIR, PKGDIR, and DISTDIR settings approved by council
    
    The locations approved by the council:
    
    DISTDIR="/var/cache/distfiles"
    PKGDIR="/var/cache/binpkgs"
    PORTDIR="/var/db/repos/gentoo"
    
    Bug: https://bugs.gentoo.org/684908
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 README                               |  2 +-
 catalyst/base/stagebase.py           |  2 +-
 doc/catalyst-config.5.txt            | 25 ++++++++++++-------------
 etc/catalyst.conf                    | 14 +++++++-------
 examples/generic_stage_template.spec |  2 +-
 examples/grp_template.spec           |  2 +-
 examples/livecd-stage1_template.spec |  2 +-
 examples/livecd-stage2_template.spec |  4 ++--
 examples/netboot_template.spec       |  2 +-
 examples/stage4_template.spec        |  4 ++--
 examples/tinderbox_template.spec     |  2 +-
 livecd/files/livecd-local.start      |  4 ++--
 12 files changed, 32 insertions(+), 33 deletions(-)
Comment 6 Zac Medico gentoo-dev 2019-05-31 04:42:46 UTC
Let's make sure that catalyst does not destroy /var/cache/distfiles and /var/cache/binpkgs *while* they're still bind mounted.
Comment 7 Zac Medico gentoo-dev 2019-06-02 20:43:59 UTC
(In reply to Zac Medico from comment #6)
> Let's make sure that catalyst does not destroy /var/cache/distfiles and
> /var/cache/binpkgs *while* they're still bind mounted.

In the StageBase.set_action_sequence method, the "unbind" action correctly executes before the "clean" action. Also, the StageBase.unbind method raises CatalystError if any one of the umount calls fails, so that should provide some protection in case any of the bind mounts fail to unmount.
Comment 8 Matt Turner gentoo-dev 2019-07-29 20:59:15 UTC
I'm a little confused reading this bug. Is there anything left to do?

catalyst-3.0.5 is stable on all arches and contains Zac's patch.
Comment 9 Sergei Trofimovich (RETIRED) gentoo-dev 2019-08-11 19:07:47 UTC
The bug popped up on cluncil@ meeting. Assuming fixed. Please feel free to reopen if incorrect.